Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Spline- Daten exportieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Spline- Daten exportieren (488 mal gelesen)
defcon.one
Mitglied
Entwicklungsingenieur


Sehen Sie sich das Profil von defcon.one an!   Senden Sie eine Private Message an defcon.one  Schreiben Sie einen Gästebucheintrag für defcon.one

Beiträge: 31
Registriert: 08.10.2004

erstellt am: 14. Dez. 2004 17:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Community,

also ich möchte die Punkte eines vorliegenden Splines exportieren.
Dabei ist es mir egal in welches Format, optimal wäre Excel aber in eine Textdatei würde auch reichen.

Also denn, ich vertaue euch und auf Eure Hilfe.

Grüße aus Thüringen, Jan 

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Clayton
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von Clayton an!   Senden Sie eine Private Message an Clayton  Schreiben Sie einen Gästebucheintrag für Clayton

Beiträge: 1629
Registriert: 07.02.2004

AMD Athlon 64X2 5600+, 1GB, Nvidia Quadro Pro FX 1100
Inventor Series 10
Mathcad 13

erstellt am: 14. Dez. 2004 18:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für defcon.one 10 Unities + Antwort hilfreich

Hallo,
Ohne auf Makros, Lisp oder dergl. zurueckzugreifen, kann man natuerlich einen Haufen Punkte auf der Spline mit _measure erzeugen und die dann zusammen listen. Den Text dann abschnittsweise (es haengt davon ab, wie viele Punkte man hat) in die Zwischenablage und dann in einen beliebigen Texteditor. Anzahl der erforderlichen Punkte haengt von der Kruemmung ab. Wenn man die Punkte nicht erzeugt, hat man natuerlich nur die Kontrolpunkte im Listing und das waere hoechstwahrscheilich nicht genug.
Gruss

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

captainfritz
Mitglied
Bauingenieur/Wasserbau


Sehen Sie sich das Profil von captainfritz an!   Senden Sie eine Private Message an captainfritz  Schreiben Sie einen Gästebucheintrag für captainfritz

Beiträge: 270
Registriert: 07.05.2004

AutoCAD 2005/2006/2007 Map, AutoTerrain, bbsoft, Geotools, Windows XP

erstellt am: 15. Dez. 2004 08:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für defcon.one 10 Unities + Antwort hilfreich

Moin,

müsstest du wohl vorher in eine Polylinie umwandeln - wie das geht, ist schon mehrfach beschrieben.

dann als textfile wegschreiben - wie? ist auch schon mehrfach beschrieben.
Viel Spaß beim Suchen (und Finden!)

------------------
mit CADzerischen Grüßen
Matthias 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

defcon.one
Mitglied
Entwicklungsingenieur


Sehen Sie sich das Profil von defcon.one an!   Senden Sie eine Private Message an defcon.one  Schreiben Sie einen Gästebucheintrag für defcon.one

Beiträge: 31
Registriert: 08.10.2004

erstellt am: 15. Dez. 2004 12:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Clayton,

also ich bin nicht so nen AutoCad- Fuchs wie andere hier im Forum,
eine detailiertere "Anleitung" wäre schon cool.

also measure ist klar, nur wie kann ich dann die Ergebnisse listen?

Auf der Suche nach Umwandlungsmöglichkeiten von splines zu mehreren Polylinien war ich auch noch nicht fündig also bitte helft mir weiter!

Grüße Jan

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 15. Dez. 2004 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für defcon.one 10 Unities + Antwort hilfreich

probiers mal mit dem Grundgerüst:

(defun c:LIST-SPLINEPOINTS(/ SPLINE VLA-SPLINE ANZAHL INDEX)
  (vl-load-com)
  (if(and(setq SPLINE(ssget "_:S" '((0 . "SPLINE"))))
        (setq SPLINE(ssname SPLINE 0))
        (setq vla-spline (vlax-ename->vla-object SPLINE))
    )
    (progn
      (setq ANZAHL 100)     
      (setq INDEX -1)
      (repeat ANZAHL
        (princ "\n")
        (princ
          (vlax-curve-getPointAtParam
            VLA-SPLINE
            (+(vlax-curve-getStartParam VLA-SPLINE)
              (*(/(-(vlax-curve-getENDParam VLA-SPLINE)
                    (vlax-curve-getStartParam VLA-SPLINE)
                  )
                  ANZAHL
                )
                (setq INDEX(1+ INDEX))
              ) 
            )
          )
        )
      ) 
    )
  )
  (princ)
)


------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Clayton
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von Clayton an!   Senden Sie eine Private Message an Clayton  Schreiben Sie einen Gästebucheintrag für Clayton

Beiträge: 1629
Registriert: 07.02.2004

AMD Athlon 64X2 5600+, 1GB, Nvidia Quadro Pro FX 1100
Inventor Series 10
Mathcad 13

erstellt am: 15. Dez. 2004 13:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für defcon.one 10 Unities + Antwort hilfreich


Spline.jpg


SplineText.jpg

 
Hallo,
Ja, ich haette dazu sagen muessen, dass man erst die Spline als R12.DXF speichern sollte und dann wieder oeffnen. Falls sie nicht geschlossen ist, mit ein paar Linien schliessen, so dass man Amcontrace anwenden kann - sonst ist das Listing zu kompliziert und man muss stundenlang editieren. Das Resultat ist wie auf den Bildern gezeigt. -- Oder gleich wie CADmium sagt.
Gruss

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz